--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: "Rewrites :defn nodes to pull the functions arguments to the top:"
- !ruby/struct:SM::Flow::P 
  body: "Input:"
- !ruby/struct:SM::Flow::VERB 
  body: "  [:defn, name, [:scope, [:block, [:args, ...]]]]\n  [:defn, name, [:fbody, [:scope, [:block, [:args, ...]]]]]\n  [:defn, name, [:ivar, name]]\n  [:defn, name, [:attrset, name]]\n"
- !ruby/struct:SM::Flow::P 
  body: "Output:"
- !ruby/struct:SM::Flow::VERB 
  body: "  [:defn, name, args, body]\n"
full_name: Rewriter#process_defn
is_singleton: false
name: process_defn
params: (exp)
visibility: public
